This is the changelog for the **next stable release**. The [[changelog for the development branch|Changelog (bleed)]] can be found separately.  Additionally, changes from earlier releases can be found on the [historical changelogs](https://github.com/OpenRA/OpenRA/wiki/Historical-Changelogs) page.

**Release 20210321**
-------------------------

**General Improvements**

* Added a per-player handicap option to the lobby in all mods. [[#18971](https://github.com/OpenRA/OpenRA/pull/18971), [#19083](https://github.com/OpenRA/OpenRA/pull/19083)]
* Added a setting to pause the shellmap. [[#18973](https://github.com/OpenRA/OpenRA/pull/18973)]
* Added map and server name to Discord details. [[#19010](https://github.com/OpenRA/OpenRA/pull/19010)]
* Added support for Discord Rich Presence. [[#17847](https://github.com/OpenRA/OpenRA/pull/17847), [#18469](https://github.com/OpenRA/OpenRA/pull/18469), [#18547](https://github.com/OpenRA/OpenRA/pull/18547)]
* Added the ability to right click on spawn points in the server lobby to disable them. [[#18425](https://github.com/OpenRA/OpenRA/pull/18425), [#18823](https://github.com/OpenRA/OpenRA/pull/18823)]
* Added support for server-side replay recording. [[#17578](https://github.com/OpenRA/OpenRA/pull/17578), [#18672](https://github.com/OpenRA/OpenRA/pull/18672), [#18696](https://github.com/OpenRA/OpenRA/pull/18696), [#18715](https://github.com/OpenRA/OpenRA/pull/18715)]
* Added DisplayFaction details to the replay metadata. [[#18874](https://github.com/OpenRA/OpenRA/pull/18874)]
* Added an option for overriding duplicate hotkeys in the settings dialog. [[#17666](https://github.com/OpenRA/OpenRA/pull/17666)]
* Added support for the macOS Dark appearance. [[#18837](https://github.com/OpenRA/OpenRA/pull/18837)]
* Added IPv6 support for server and direct connect. [[#18026](https://github.com/OpenRA/OpenRA/pull/18026), [#18902](https://github.com/OpenRA/OpenRA/pull/18902)]
* Added player status label to the spectator visibility selector. [[#18143](https://github.com/OpenRA/OpenRA/pull/18143)]
* Added support for DirectX 11 rendering via ANGLE and disabled legacy OpenGL 2.1 support. [[#18666](https://github.com/OpenRA/OpenRA/pull/18666)]
* Fixed lobby options clickable area overlapping with scrollbars. [[#19202](https://github.com/OpenRA/OpenRA/pull/19202)]
* Fixed production rally points not drawing from the building's exit point. [[#18987](https://github.com/OpenRA/OpenRA/pull/18987)]
* Fixed production structures using the wrong exits under some situations. [[#18988](https://github.com/OpenRA/OpenRA/pull/18988)]
* Fixed a crash when a production structure is captured at the same time it builds a unit. [[#19009](https://github.com/OpenRA/OpenRA/pull/19009)]
* Fixed a crash when a non-admin player tried to switch maps in the lobby. [[#18984](https://github.com/OpenRA/OpenRA/pull/18984)]
* Fixed lobby options not being reported to the first player who joins a dedicated server. [[#19000](https://github.com/OpenRA/OpenRA/pull/19000)]
* Fixed support power targetting cursor not resetting when the power cannot be activated. [[#19032](https://github.com/OpenRA/OpenRA/pull/19032)]
* Fixed Discord join button not allowing spectators to join after player slots were filled. [[#19007](https://github.com/OpenRA/OpenRA/pull/19007)]
* Fixed an issue that could cause sounds to stop working after loading a saved game. [[#18593](https://github.com/OpenRA/OpenRA/pull/18593)]
* Fixed several graphical issues when playing campaign videos. [[#18623](https://github.com/OpenRA/OpenRA/pull/18623), [#18369](https://github.com/OpenRA/OpenRA/pull/18369), [#18661](https://github.com/OpenRA/OpenRA/pull/18661)]
* Fixed non-functional AI bots in multiplayer games if the Game Admin role is tranferred between players. [[#18184](https://github.com/OpenRA/OpenRA/pull/18184)]
* Fixed an issue that could cause aircraft to be lost outside the map. [[#18108](https://github.com/OpenRA/OpenRA/pull/18108)]
* Fixed infantry sometimes cancelling attack animation prematurely. [[#18893](https://github.com/OpenRA/OpenRA/pull/18893), [#18913](https://github.com/OpenRA/OpenRA/pull/18913)]
* Fixed an issue that could give players permanent vision at map edge when using air-based support powers. [[#18294](https://github.com/OpenRA/OpenRA/pull/18294)]
* Fixed clearing mission objectives sometimes not properly ending the game. [[#18892](https://github.com/OpenRA/OpenRA/pull/18892)]
* Fixed viewport moving to incorrect position when jumping to control group that contains units inside a transport. [[#18076](https://github.com/OpenRA/OpenRA/pull/18076)]
* Fixed authentication key being copied to clipboard at game start for accounts that have already been linked to the OpenRA forum. [[#18257](https://github.com/OpenRA/OpenRA/pull/18257)]
* Fixed non-turreted units delaying unnecessarily when Attack-moving or attacking moving targets. [[#18549](https://github.com/OpenRA/OpenRA/pull/18549), [#18605](https://github.com/OpenRA/OpenRA/pull/18605), [#18885](https://github.com/OpenRA/OpenRA/pull/18885)]
* Fixed issues with capturing actors not correctly updating power usage. [[#18303](https://github.com/OpenRA/OpenRA/pull/18303), [#18457](https://github.com/OpenRA/OpenRA/pull/18457)]
* Fixed incorrect target line display for units after repairing/reloading on a repair depot [[#18141](https://github.com/OpenRA/OpenRA/pull/18141), [#18159](https://github.com/OpenRA/OpenRA/pull/18159)]
* Fixed target lines appearing not long enough on screen. [[#18401](https://github.com/OpenRA/OpenRA/pull/18401)]
* Fixed ill-fitting selection decorations when spectators zoom too far out by hiding them. [[#17992](https://github.com/OpenRA/OpenRA/pull/17992)]
* Fixed an issue that could allow orders to be issues to the wrong units when using control groups. [[#18003](https://github.com/OpenRA/OpenRA/pull/18003), [#18699](https://github.com/OpenRA/OpenRA/pull/18699)]
* Fixed an issue with custom maps that may cause a dedicated server to crash. [[#18630](https://github.com/OpenRA/OpenRA/pull/18630)]
* Fixed tooltips remaining after leaving/switching the menu. [[#18775](https://github.com/OpenRA/OpenRA/pull/18775)]
* Fixed several issues with vibility for players that have become spectators after losing (or winning) a game. [[#18772](https://github.com/OpenRA/OpenRA/pull/18772)]
* Fixed infantry moving to the top-left instead of the center of a cell after being produced. [[#18879](https://github.com/OpenRA/OpenRA/pull/18879)]
* Fixed vehicle turrets not rotating with their body as they turn. [[#18418](https://github.com/OpenRA/OpenRA/pull/18418), [#18679](https://github.com/OpenRA/OpenRA/pull/18679), [#18738](https://github.com/OpenRA/OpenRA/pull/18738), [#18903](https://github.com/OpenRA/OpenRA/pull/18903)]
* Fixed a crash with attempted out-of-bounds movement. [[#18083](https://github.com/OpenRA/OpenRA/pull/18083), [#18343](https://github.com/OpenRA/OpenRA/pull/18343)]
* Fixed a crash when targeting an airstrike at the map edge. [[#18366](https://github.com/OpenRA/OpenRA/pull/18366)]
* Fixed a crash with certain Linux GPU drivers. [[#18575](https://github.com/OpenRA/OpenRA/pull/18575)]
* Fixed a crash when an aircraft leaves a reserved airfield or helipad. [[#18810](https://github.com/OpenRA/OpenRA/pull/18810)]
* Changed the default UPnP device discovery timeout from 1 to 5 seconds. [[#18216](https://github.com/OpenRA/OpenRA/pull/18216)]
* Changed infantry to always turn in place instead of moving in a curve. [[#18293](https://github.com/OpenRA/OpenRA/pull/18293)]
* Changed replay filenames to be prefixed by the mod id for easier identification. [[#18390](https://github.com/OpenRA/OpenRA/pull/18390)]
* Changed the battlefield zoom to be centered on the mouse cursor. [[#18406](https://github.com/OpenRA/OpenRA/pull/18406)]
* Changed the Cmd+Q hotkey to no longer quit the game on macOS. [[#18438](https://github.com/OpenRA/OpenRA/pull/18438)]
* Changed unit behaviour to attack-move to service depot and airfield rally points. [[#18161](https://github.com/OpenRA/OpenRA/pull/18161)]
* Changed game lobby behaviour to remove player "Ready" status when the host changes a map option. [[#18494](https://github.com/OpenRA/OpenRA/pull/18494), [#18590](https://github.com/OpenRA/OpenRA/pull/18590)]
* Changed production buildings to prefer the closest available exit to a requested rally point. [[#18461](https://github.com/OpenRA/OpenRA/pull/18461), [#18863](https://github.com/OpenRA/OpenRA/pull/18863), [#18880](https://github.com/OpenRA/OpenRA/pull/18880), [#18894](https://github.com/OpenRA/OpenRA/pull/18894)]
* Improved AI unit and support power targeting behaviour. [[#17855](https://github.com/OpenRA/OpenRA/pull/17855), [#17986](https://github.com/OpenRA/OpenRA/pull/17986), [#18055](https://github.com/OpenRA/OpenRA/pull/18055), [#18692](https://github.com/OpenRA/OpenRA/pull/18692), [#18697](https://github.com/OpenRA/OpenRA/pull/18697), [#18710](https://github.com/OpenRA/OpenRA/pull/18710), [#18900](https://github.com/OpenRA/OpenRA/pull/18900)]
* Improved the player asset value shown to spectators by ignoring walls and support aircraft. [[#18592](https://github.com/OpenRA/OpenRA/pull/18592)]
* Improved performance. [[#17472](https://github.com/OpenRA/OpenRA/pull/17472), [#17763](https://github.com/OpenRA/OpenRA/pull/17763), [#18126](https://github.com/OpenRA/OpenRA/pull/18126), [#18167](https://github.com/OpenRA/OpenRA/pull/18167), [#18180](https://github.com/OpenRA/OpenRA/pull/18180), [#18202](https://github.com/OpenRA/OpenRA/pull/18202), [#18205](https://github.com/OpenRA/OpenRA/pull/18205), [#18207](https://github.com/OpenRA/OpenRA/pull/18207),  [#18346](https://github.com/OpenRA/OpenRA/pull/18346), [#18349](https://github.com/OpenRA/OpenRA/pull/18349), [#18357](https://github.com/OpenRA/OpenRA/pull/18357), [#18371](https://github.com/OpenRA/OpenRA/pull/18371), [#18512](https://github.com/OpenRA/OpenRA/pull/18512), [#18530](https://github.com/OpenRA/OpenRA/pull/18530), [#18531](https://github.com/OpenRA/OpenRA/pull/18531), [#18544](https://github.com/OpenRA/OpenRA/pull/18544), [#18559](https://github.com/OpenRA/OpenRA/pull/18559), [#18587](https://github.com/OpenRA/OpenRA/pull/18587), [#18613](https://github.com/OpenRA/OpenRA/pull/18613), [#18640](https://github.com/OpenRA/OpenRA/pull/18640), [#18667](https://github.com/OpenRA/OpenRA/pull/18667), [#18671](https://github.com/OpenRA/OpenRA/pull/18671), [#18698](https://github.com/OpenRA/OpenRA/pull/18698), [#18707](https://github.com/OpenRA/OpenRA/pull/18707), [#18708](https://github.com/OpenRA/OpenRA/pull/18708), [#18709](https://github.com/OpenRA/OpenRA/pull/18709), [#18743](https://github.com/OpenRA/OpenRA/pull/18743), [#18770](https://github.com/OpenRA/OpenRA/pull/18770), [#18774](https://github.com/OpenRA/OpenRA/pull/18774), [#18762](https://github.com/OpenRA/OpenRA/pull/18762), [#18869](https://github.com/OpenRA/OpenRA/pull/18869)]
* Improved presentation of non-default map options in the lobby chat when join a server. [[#18704](https://github.com/OpenRA/OpenRA/pull/18704)]
* Various minor fixes and code cleanups. [[#18519](https://github.com/OpenRA/OpenRA/pull/18519), [#18604](https://github.com/OpenRA/OpenRA/pull/18604), [#18606](https://github.com/OpenRA/OpenRA/pull/18606), [#18607](https://github.com/OpenRA/OpenRA/pull/18607), [#18614](https://github.com/OpenRA/OpenRA/pull/18614), [#18621](https://github.com/OpenRA/OpenRA/pull/18621)]
* Removed ingame music downloads to comply with new [C&C modding policy](https://www.ea.com/games/command-and-conquer/command-and-conquer-remastered/modding-faq). [[#18647](https://github.com/OpenRA/OpenRA/pull/18647)]

**Red Alert**

* Added missing civilian clothing colors. [[#18099](https://github.com/OpenRA/OpenRA/pull/18099)]
* Added the ability for Hijackers to steal landed aircraft. [[#18432](https://github.com/OpenRA/OpenRA/pull/18432)]
* Added new artwork for the disguised spy indicator. [[#17810](https://github.com/OpenRA/OpenRA/pull/17810)]
* Added minigame Oil Spill. [[#18934](https://github.com/OpenRA/OpenRA/pull/18934)]
* Fixed infantry stopping next to buildings when attack-moving. [[#19030](https://github.com/OpenRA/OpenRA/pull/19030)]
* Fixed bot-controlled aircraft sometimes stopping mid-air above submerged submarines. [[#19036](https://github.com/OpenRA/OpenRA/pull/19036)]
* Fixed missing/incorrect Shock Trooper and Mechanic voices. [[#18967](https://github.com/OpenRA/OpenRA/pull/18967), [#18964](https://github.com/OpenRA/OpenRA/pull/18964)]
* Fixed infantry death animations playing too fast. [[#19096](https://github.com/OpenRA/OpenRA/pull/19096)]
* Fixed rendering artifacts with RA's video background on HiDPI displays. [[#19177](https://github.com/OpenRA/OpenRA/pull/19177)]
* Fixed Minelayers getting stuck at the edge of the map when a minefield is created out of bounds. [[#18101](https://github.com/OpenRA/OpenRA/pull/18101)]
* Fixed unit artwork facing the wrong direction at some angles. [[#18020](https://github.com/OpenRA/OpenRA/pull/18020), [#18200](https://github.com/OpenRA/OpenRA/pull/18200)]
* Fixed MiG missile splash damaging airborne actors. [[#18470](https://github.com/OpenRA/OpenRA/pull/18470)]
* Fixed units chasing newly disguised enemies. [[#18703](https://github.com/OpenRA/OpenRA/pull/18703)]
* Fixed missing "Select Target" audio when selecting the Chronoshift superweapon. [[#18787](https://github.com/OpenRA/OpenRA/pull/18787)]
* Changed tech buildings to spawn 'cheaper' scientists, and as result more engineers. [[#18875](https://github.com/OpenRA/OpenRA/pull/18875)]
* Changed fake building tags to be always visible (to self and allies). [[#17812](https://github.com/OpenRA/OpenRA/pull/17812)]
* Changed the Chronosphere, Iron Curtain, Nuke Silo and Allied Tech Center to be infiltratable to reset the support power timer. [[#17783](https://github.com/OpenRA/OpenRA/pull/17783)]
* Changed submarines to no longer be produced in the "Hold Fire" stance. [[#18237](https://github.com/OpenRA/OpenRA/pull/18237)]
* Changed DepthCharge sound and explosion effects. [[#18068](https://github.com/OpenRA/OpenRA/pull/18068)]
* Changed Oil Derricks to only show money indicators when captured by a player. [[#18682](https://github.com/OpenRA/OpenRA/pull/18682)]
* Changed the RA Phase Tank to uncloak during repair. [[#18107](https://github.com/OpenRA/OpenRA/pull/18107)]
* Reduced Tanya fire rate and polished fire animation. [[#19064](https://github.com/OpenRA/OpenRA/pull/19064), [#19118](https://github.com/OpenRA/OpenRA/pull/19118)]
* Removed civilians spawning from civilian buildings to avoid mission bugs. [[#19069](https://github.com/OpenRA/OpenRA/pull/19069)]
* Improved weapon visual effects for several units/weapons. [[#17284](https://github.com/OpenRA/OpenRA/pull/17284), [#18068](https://github.com/OpenRA/OpenRA/pull/18068), [#18126](https://github.com/OpenRA/OpenRA/pull/18126), [#18307](https://github.com/OpenRA/OpenRA/pull/18307), [#18440](https://github.com/OpenRA/OpenRA/pull/18440), [#18629](https://github.com/OpenRA/OpenRA/pull/18629), [#18712](https://github.com/OpenRA/OpenRA/pull/18712), [#18738](https://github.com/OpenRA/OpenRA/pull/18738)]
* Improved death animations for ships. [[#18068](https://github.com/OpenRA/OpenRA/pull/18068)]
* Mission fixes and additions:
  * Added campaign mission `Allies-09a`. [[#18695](https://github.com/OpenRA/OpenRA/pull/18695)]
  * Added campaign mission `Soviet-08b`. [[#17973](https://github.com/OpenRA/OpenRA/pull/17973)]
  * Added campaign mission `Soviet-09`. [[#17963](https://github.com/OpenRA/OpenRA/pull/17963)]
  * Added mission `Production Disruption` from Aftermath. [[#18230](https://github.com/OpenRA/OpenRA/pull/18230)]
  * Added mission `Fall of Greece 1: Personal War` from Counterstrike. [[#18098](https://github.com/OpenRA/OpenRA/pull/18098), [#18429](https://github.com/OpenRA/OpenRA/pull/18429)]
  * Added mission `Situation Critical` from Aftermath. [[#18156](https://github.com/OpenRA/OpenRA/pull/18156), [#18429](https://github.com/OpenRA/OpenRA/pull/18429), [#19233](https://github.com/OpenRA/OpenRA/pull/19233)]
  * Added Aftermath mission `Shock Therapy`. [[#18943](https://github.com/OpenRA/OpenRA/pull/18943)]
  * Added mission `Siberian Conflict 1: Fresh Tracks` from Counterstrike. [[#18240](https://github.com/OpenRA/OpenRA/pull/18240)]
  * Added mission `Sarin Gas 3: Controlled Burn` from Counterstrike. [[#18430](https://github.com/OpenRA/OpenRA/pull/18430)]
  * Added panicking civilians leaving houses in `Soviet-01`. [[#18124](https://github.com/OpenRA/OpenRA/pull/18124)]
  * Added clarifying objective to Monster Tank Madness. [[#19145](https://github.com/OpenRA/OpenRA/pull/19145)]
  * Fixed a crash in mission `Evacuation` when paratroopers are deployed. [[#18204](https://github.com/OpenRA/OpenRA/pull/18204)]
  * Fixed a performance bug in the `Exodus` mission. [[#18979](https://github.com/OpenRA/OpenRA/pull/18979)]
  * Fixed aircraft sometimes getting stuck in campaign missions. [[#18308](https://github.com/OpenRA/OpenRA/pull/18308)]
  * Fixed issues in `Soviet Soldier Volkov and Chitzkoi`. [[#18195](https://github.com/OpenRA/OpenRA/pull/18195)]
  * Fixed scripting issues in Allies 05a. [[#19105](https://github.com/OpenRA/OpenRA/pull/19105), [#19113](https://github.com/OpenRA/OpenRA/pull/19113)]
  * Fixed the country palette remap for mission: [[#18950](https://github.com/OpenRA/OpenRA/pull/18950)]
    * `Fall of Greece 1: Personal War`
    * `Siberian Conflict 1: Fresh Tracks`
    * `Production Disruption`
  * Changed campaign `Soviet-05` to use modular AI. [[#17129](https://github.com/OpenRA/OpenRA/pull/17129)]
  * Removed redundant rules from the shellmap. [[#18049](https://github.com/OpenRA/OpenRA/pull/18049)]
  * Removed manual paratrooper drops on `Soviet-01`. [[#18124](https://github.com/OpenRA/OpenRA/pull/18124)]
* Updated default map pool [[#18617](https://github.com/OpenRA/OpenRA/pull/18617)]:
  * Removed Northwest Passage, Winter Storm, Poland Raid, Snow Off, Barracuda, Icy Ridge, Decrepit Isles, East vs West, Puddles Redux, Tabula Rasa, Vihaan Lunta, Cold Front, Encounter, Opposite Force, Six Below Zero, Rapa Nui, Unconventional Warfare, All Connected, Caffeinated, Centre of Attention Redux, Coastal Influence, North by Northwest, Regeneration Basin, Hypothermia, Alaska Anarchy Redux, Engagement, Tainted Peak, Mass Confliction.
  * Added Shadowfiend 2, Marigold Town, Forgotten Plains, Blitz, Trapped, Discovery, Chernobyl, Ridges, Collaboration, Progress, Fortified, Altercation, Forward Progress, Archipelago, Ardennes, Ritual Circle, Dusttown Battle, Code 19, Europe.
* Balance changes [[#18236](https://github.com/OpenRA/OpenRA/pull/18236)]:
  * Chinook HP decreased from 20000 to 14000.
  * Light Tank HP increased from 22000 to 26000.
  * Medium Tank HP increased from 45000 to 46000.
  * Radar Jammer speed decreased from 85 to 78.
  * Removed Light Tank husk.
  * Tesla vision and weapon range decreased from 8c0 to 7c0.
  * Turret vision and weapon range decreased from 7c0 to 6c512.

**Tiberian Dawn**

* Added "Harvester Lost" audio notification. [[#18427](https://github.com/OpenRA/OpenRA/pull/18427)]
* Added "Stealth Deliveries" lobby option. [[#18687](https://github.com/OpenRA/OpenRA/pull/18687)]
* Added new turret artwork for the APC. [[#18193](https://github.com/OpenRA/OpenRA/pull/18193)]
* Fixed several incorrect explosion/firing sound effects. [[#18960](https://github.com/OpenRA/OpenRA/pull/18960), [#18972](https://github.com/OpenRA/OpenRA/pull/18972), [#18977](https://github.com/OpenRA/OpenRA/pull/18977)]
* Fixed SAM Sites changing state while powered down. [[#18996](https://github.com/OpenRA/OpenRA/pull/18996), [#19099](https://github.com/OpenRA/OpenRA/pull/19099)]
* Fixed that Commandos could target visceroids despite dealing no damage. [[#19017](https://github.com/OpenRA/OpenRA/pull/19017)]
* Fixed the hospital healing the civilians in mission Nod 7b. [[#19078](https://github.com/OpenRA/OpenRA/pull/19078)]
* Fixed unit artwork facing the wrong direction at some angles. [[#18020](https://github.com/OpenRA/OpenRA/pull/18020), [#18200](https://github.com/OpenRA/OpenRA/pull/18200)]
* Fixed some weapons not being able to force-fire on water. [[#18066](https://github.com/OpenRA/OpenRA/pull/18066), [#18128](https://github.com/OpenRA/OpenRA/pull/18128)]
* Fixed several graphical glitches with harvester docking. [[#18737](https://github.com/OpenRA/OpenRA/pull/18737)]
* Fixed Nod vehicles not being refunded if the Airstrip is destroyed while the plane is inbound. [[#18599](https://github.com/OpenRA/OpenRA/pull/18599)]
* Fixed selling an Airstrip during delivery preventing the building from being sold or captured. [[#18896](https://github.com/OpenRA/OpenRA/pull/18896)]
* Fixed missing death animation for visceroids. [[#18421](https://github.com/OpenRA/OpenRA/pull/18421)]
* Fixed Civilians wandering onto Tiberium by themselves. [[#18912](https://github.com/OpenRA/OpenRA/pull/18912)]
* Changed Oil Derricks to only show money indicators when captured by a player. [[#18682](https://github.com/OpenRA/OpenRA/pull/18682)]
* Improved weapon visual effects for several units/weapons. [[#18629](https://github.com/OpenRA/OpenRA/pull/18629), [#18712](https://github.com/OpenRA/OpenRA/pull/18712), [#18738](https://github.com/OpenRA/OpenRA/pull/18738)]
* Mission fixes and additions:
  * Added transforming blossom trees to some single-player missions. [[#16827](https://github.com/OpenRA/OpenRA/pull/16827), [#18489](https://github.com/OpenRA/OpenRA/pull/18489)]
  * Fixed a scripting bug in Nod04b. [[#18070](https://github.com/OpenRA/OpenRA/pull/18070)]
  * Fixed a crash in the mission `N64 Special Ops - GDI 1` when a harvester is rebuilt by the AI. [[#18152](https://github.com/OpenRA/OpenRA/pull/18152)]
  * Fixed not all harvesters being rebuilt in the mission `N64 Special Ops - GDI 1`. [[#18152](https://github.com/OpenRA/OpenRA/pull/18152)]
  * Fixed the Gunboat triggers in GDI09. [[#18043](https://github.com/OpenRA/OpenRA/pull/18043)]
  * Changed mission menu ordering to match the C&C Remastered Collection. [[#18726](https://github.com/OpenRA/OpenRA/pull/18726)]
* Updated default map pool [[#18752](https://github.com/OpenRA/OpenRA/pull/18752)]:
  * Removed Avocado, Contra, Dead in Motion, Letters from Lexington, Plan B, The New Mandarins, Understanding Power, Desert Lakes, Winter's End, Frostways, Thawed Front, Tiberium Canopy, Twisted peak.
  * Added African Gambit, Badland Ridges, Desert Mandarins, Reaching Out, Tiberium Rift, Deserted Outpost, Master Alert, Fight Win Prevail, Master Of The Jungle Book, Desert Invasion, Tiberium Forest, Valley of Gold (6P), Anvil of War, Elysian Expanse, Armageddon.
* Balance Changes [[#18273](https://github.com/OpenRA/OpenRA/pull/18273), [#18427](https://github.com/OpenRA/OpenRA/pull/18427), [#18654](https://github.com/OpenRA/OpenRA/pull/18654), [#18830](https://github.com/OpenRA/OpenRA/pull/18830), [#18829](https://github.com/OpenRA/OpenRA/pull/18829), [#18878](https://github.com/OpenRA/OpenRA/pull/18878), [#19017](https://github.com/OpenRA/OpenRA/pull/19017), [#19142](https://github.com/OpenRA/OpenRA/pull/19142)]:
  * Increased speed of the Nod Airstrip delivery plane.
  * Adjusted prices and build speeds of several units and structures to set a consistent relationship between cost and build time.
  * Reduced build speed penalty when low power to 150%.
  * Decreased power usage of barracks and Hand of Nod.
  * Increased power usage of Helipad.
  * Reduced vehicle husk lifetime for Rocket Launcher, Mobile SAM, Artillery, Supply truck.
  * Increased vehicle husk lifetime for APC.
  * Changed Bike terrain speed modifiers to match other wheeled units.
  * Changed veterancy:
    * Rank 1 is awarded after destroying 250% value, now gives +25% firepower.
    * Rank 2 is awarded after destroying 500% value, now gives +25% health.
    * Rank 3 (elite) is awarded after destroying 750% value, gives +25% speed, vision, range and self-healing.
    * Veterancy icons are now visible to enemy players.
    * Destroying walls no longer gives experience.
  * Increased timers of Airstrike and superweapons.
  * Reduced Airstrike damage against light vehicles and infantry.
  * Decreased spread of the flame thrower, increased range.
  * Decreased delay between bursts of the flame tank, while increasing the reload delay.
  * Increased price, reduced missile range of the Mammoth tank.
  * Changed default starting cash to $7500.
  * Changed default starting units to MCV Only.
  * Increased APC anti-air and vision ranges, reduced build time, increased anti-air damage.
  * Increased Stealth Tank minimum anti-air range, now decloaks when damaged and repairing.
  * Decreased SAM Site buildup speed, increased vision range.
  * Increased Flame Tank vision.
  * Increased Light Tank damage against structures.
  * Increased Harvester vision.
  * Reduced Orca range.
  * Reduced Apache health and damage spread.
  * Reduced Oil Derrick income.
  * Increased Supply Truck cost and transfer amount, reduced build time.
  * Made Stealth Tanks immune to Stealth Tank Husk explosions.
  * Increased Bike reload delay from 50 to 60.
  * Increased Apache HP from 12000 to 12500.
  * Increased Apache Wood Damage from 50 to 75.
  * Decreased APC AA Light Damage from 140 to 125.
  * Decreased Stealth Tank Cost from 1000 to 900.
  * Changed Visceroid armor from Wood to Light, increased HP from 30000 to 40000.
  * Changed husks to be less vulnerable to weapon damage.

**Dune 2000**

* Added "Automatic Concrete" lobby option. [[#18562](https://github.com/OpenRA/OpenRA/pull/18562), [#18686](https://github.com/OpenRA/OpenRA/pull/18686)]
* Added missing turret build animations. [[#17817](https://github.com/OpenRA/OpenRA/pull/17817)]
* Fixed incorrect sound effects for building power down/up and radar. [[#19051](https://github.com/OpenRA/OpenRA/pull/19051)]
* Fixed bugs caused by Sardaukars using wrong weapons. [[#19061](https://github.com/OpenRA/OpenRA/pull/19061)]
* Fixed Concrete being placed on invalid terrain. [[#19100](https://github.com/OpenRA/OpenRA/pull/19100)]
* Fixed mission briefing videos crashing the game. [[#19161](https://github.com/OpenRA/OpenRA/pull/19161)]
* Fixed audio track "The Waiting Game" getting skipped during installation. [[#19176](https://github.com/OpenRA/OpenRA/pull/19176)]
* Fixed the Death Hand launch notification not playing for the enemy. [[#18214](https://github.com/OpenRA/OpenRA/pull/18214)]
* Fixed Carryalls being unable to pick up harvesters waiting on the Repair Pad. [[#18350](https://github.com/OpenRA/OpenRA/pull/18350)]
* Fixed incorrect damage being applied to concrete. [[#19259](https://github.com/OpenRA/OpenRA/pull/19259)]
* Changed the way damage is calculated to match the original game. [[#18023](https://github.com/OpenRA/OpenRA/pull/18023)]
* Changed the way actor build times are calculated to match the original game. [[#18120](https://github.com/OpenRA/OpenRA/pull/18120)]
* Changed weapon inaccuracy and spread to better match the original game. [[#18009](https://github.com/OpenRA/OpenRA/pull/18009), [#18010](https://github.com/OpenRA/OpenRA/pull/18010), [#18362](https://github.com/OpenRA/OpenRA/pull/18362)]
* Changed bots to no longer hunt down worms. [[#17809](https://github.com/OpenRA/OpenRA/pull/17809), [#17829](https://github.com/OpenRA/OpenRA/pull/17829), [#17835](https://github.com/OpenRA/OpenRA/pull/17835)]
* Removed screen flash from the Death Hand missile. [[#17284](https://github.com/OpenRA/OpenRA/pull/17284)]

**Map Editor**

* Added a text field next to actor state sliders to allow precision values to be set. [[#18652](https://github.com/OpenRA/OpenRA/pull/18652)]
* Added a 64 players limit for multiplayer due to technical constraints. [[#18768](https://github.com/OpenRA/OpenRA/pull/18768)]
* Fixed the map editor adding `Health: 100` to actors that are edited. [[#18989](https://github.com/OpenRA/OpenRA/pull/18989)]
* Fixed map editor minimap display showing trees and other decorations with the wrong color. [[#18283](https://github.com/OpenRA/OpenRA/pull/18283)]
* Fixed the map editor sidebar selection not updating after deleting search text. [[#18037](https://github.com/OpenRA/OpenRA/pull/18037)]
* Improved Undo/Redo support for the flood fill brush. [[#18131](https://github.com/OpenRA/OpenRA/pull/18131)]

**Engine and Modding**

* Added a friendly description for optional types to the trait documentation. [[#18991](https://github.com/OpenRA/OpenRA/pull/18991)]
* Added support for mod.yaml to including definitions from other yaml files. [[#18591](https://github.com/OpenRA/OpenRA/pull/18591)]
* Added death types support to the Lua `Kill()` API. [[#19038](https://github.com/OpenRA/OpenRA/pull/19038)]
* Added support for burst-specific infantry attack animations. [[#19064](https://github.com/OpenRA/OpenRA/pull/19064)]
* Added visual support for voxel aircraft to pitch and roll while moving. [[#18231](https://github.com/OpenRA/OpenRA/pull/18231)] 
* Added support for dynamic terrain lighting. [[#18310](https://github.com/OpenRA/OpenRA/pull/18310)]
* Added additional notification support to infiltration. [[#17815](https://github.com/OpenRA/OpenRA/pull/17815)]
* Added player palette support to sidebar production icons. [[#17620](https://github.com/OpenRA/OpenRA/pull/17620)]
* Added new sequence blend modes `LowAdditive`, `Screen` and `Translucent`. [[#17722](https://github.com/OpenRA/OpenRA/pull/17722)]
* Added support for mod-defined selection boxes and added a default isometric selection box. [[#17808](https://github.com/OpenRA/OpenRA/pull/17808), [#17862](https://github.com/OpenRA/OpenRA/pull/17862), [#17991](https://github.com/OpenRA/OpenRA/pull/17991), [#18223](https://github.com/OpenRA/OpenRA/pull/18223), [#18446](https://github.com/OpenRA/OpenRA/pull/18446)]
* Added support for the AI to place plugs on buildings. [[#18196](https://github.com/OpenRA/OpenRA/pull/18196)]
* Added option to customize default player color in mod.yaml. [[#17908](https://github.com/OpenRA/OpenRA/pull/17908)]
* Added ability for mods to define their own news cache file. [[#18395](https://github.com/OpenRA/OpenRA/pull/18395)]
* Added default values for several UI metrics to the common metrics yaml. [[#18633](https://github.com/OpenRA/OpenRA/pull/18633)]
* Added text alignment support to `SupportPowerTimerWidget`. [[#18680](https://github.com/OpenRA/OpenRA/pull/18680)]
* Added support for customizing cursors and target line colors in all traits that use them. [[#18110](https://github.com/OpenRA/OpenRA/pull/18110), [#18483](https://github.com/OpenRA/OpenRA/pull/18483), [#18832](https://github.com/OpenRA/OpenRA/pull/18832)]
* Added support for OPENRA_DISPLAY_SCALE environment variable on Windows. [[#18589](https://github.com/OpenRA/OpenRA/pull/18589)]
* Added support for pool-specific ammo pips decoration. [[#19237](https://github.com/OpenRA/OpenRA/pull/19237)]
* Fixed a crash when invalid data is returned when querying multiplayer servers. [[#19101](https://github.com/OpenRA/OpenRA/pull/19101)]
* Fixed AI unit orders sending unnecessary amounts of network traffic. [[#19005](https://github.com/OpenRA/OpenRA/pull/19005)]
* Fixed `TransformsIntoAircraft` transforming on all orders. [[#18821](https://github.com/OpenRA/OpenRA/pull/18821)]
* Fixed `WithLandingCraftAnimation` opening on non-horizontal movement. [[#18455](https://github.com/OpenRA/OpenRA/pull/18455)]
* Fixed a crash when `LeavesTrails` is used on an aircraft that flys outside the map. [[#17965](https://github.com/OpenRA/OpenRA/pull/17965)]
* Fixed a crash when a player-controlled Carryall attempts to pick up a unit that has been killed. [[#18302](https://github.com/OpenRA/OpenRA/pull/18302)]
* Fixed crashes when multiple `Replaceable` or `Replacement` traits are used. [[#18688](https://github.com/OpenRA/OpenRA/pull/18688), [#18689](https://github.com/OpenRA/OpenRA/pull/18689), [[#18685](https://github.com/OpenRA/OpenRA/pull/18685), [#18857](https://github.com/OpenRA/OpenRA/pull/18857)]
* Fixed crashes when certain traits are defined on the Player actor. [[#18182](https://github.com/OpenRA/OpenRA/pull/18182)]
* Fixed crash when `AmbientSound` is defined on the World actor. [[#18148](https://github.com/OpenRA/OpenRA/pull/18148)]
* Fixed a potential divide by zero crash in movement code. [[#18736](https://github.com/OpenRA/OpenRA/pull/18736)]
* Fixed a modding-related crash in the attack code. [[#17781](https://github.com/OpenRA/OpenRA/pull/17781)]
* Fixed incorrect chance calculations and potential crashes in `JamsMissiles` and `ScaredyCat`. [[#17770](https://github.com/OpenRA/OpenRA/pull/17770)]
* Fixed `LeaveSmudgeWarhead` causing a crash by querying invalid targets. [[#17966](https://github.com/OpenRA/OpenRA/pull/17966)]
* Fixed a crash when `GrantConditionOnTerrain` is used on an aircraft that moves outside the ap. [[#18014](https://github.com/OpenRA/OpenRA/pull/18014)]
* Fixed a collection of issues when using embedded png frame metadata. [[#17923](https://github.com/OpenRA/OpenRA/pull/17923), [#17588](https://github.com/OpenRA/OpenRA/pull/17588), [#18021](https://github.com/OpenRA/OpenRA/pull/18021)]
* Fixed crates not appearing in the map editor if `XmasImages` is not set. [[#18377](https://github.com/OpenRA/OpenRA/pull/18377)]
* Fixed a crash when multiple `ResourceRenderer` traits are used. [[#17902](https://github.com/OpenRA/OpenRA/pull/17902)]
* Fixed a crash in `FireClusterWarhead`. [[#18453](https://github.com/OpenRA/OpenRA/pull/18453)]
* Fixed import errors in the `--tileset-import` utility command. [[#17720](https://github.com/OpenRA/OpenRA/pull/17720)]
* Fixed the AI not working properly when no `RefineryTypes` are defined. [[#18484](https://github.com/OpenRA/OpenRA/pull/18484)]
* Fixed a crash in the `InstantHit` projectile. [[#18474](https://github.com/OpenRA/OpenRA/pull/18474)]
* Fixed the "Furthest" battlefield camera option being displayed even if the mod disables it. [[#18627](https://github.com/OpenRA/OpenRA/pull/18627)]
* Fixed absolute file paths being stamped into translation files. [[#18650](https://github.com/OpenRA/OpenRA/pull/18650)]
* Fixed UPnP port forwarding requests when creating local games. [[#18700](https://github.com/OpenRA/OpenRA/pull/18700)]
* Fixed free-of-charge repairing still costing credits. [[#18748](https://github.com/OpenRA/OpenRA/pull/18748)]
* Fixed the launch-game script for development builds showing an incorrect path for the Logs directory. [[#18289](https://github.com/OpenRA/OpenRA/pull/18289)]
* Fixed visual glitches on range circles that define Visibile: Always. [[#18718](https://github.com/OpenRA/OpenRA/pull/18718)]
* Fixed map UID mismatches between Linux and Windows filesystems. [[#18532](https://github.com/OpenRA/OpenRA/pull/18532)]
* Fixed a crash on maps that incorrectly place overlapping refineries. [[#18620](https://github.com/OpenRA/OpenRA/pull/18620)]
* Fixed a crash in the Move activity especially if the `Mobile` trait is paused. [[#18615](https://github.com/OpenRA/OpenRA/pull/18615)]
* Fixed spies ignoring the target's faction. [[#17811](https://github.com/OpenRA/OpenRA/pull/17811)]
* Fixed actors losing their experience points when transforming. [[#17789](https://github.com/OpenRA/OpenRA/pull/17789)]
* Exposed production and support power palette fonts to configuration. [[#18472](https://github.com/OpenRA/OpenRA/pull/18472), [#18501](https://github.com/OpenRA/OpenRA/pull/18501)]
* Changed docking angle be determined by the host building. [[#18481](https://github.com/OpenRA/OpenRA/pull/18481)]
* Changed the default value of `SpawnActorPower.EffectSequence` from "idle" to unset. [[#17953](https://github.com/OpenRA/OpenRA/pull/17953)]
* Changed support power actor selection ranges to footprints. [[#17786](https://github.com/OpenRA/OpenRA/pull/17786)]
* Changed UI chrome definitions for checkboxes, dropdown buttons, and scroll panels. [[#17663](https://github.com/OpenRA/OpenRA/pull/17663)]
* Changed facing values on traits from integers (0-255) to `WAngle` (0-1024). [[#18067](https://github.com/OpenRA/OpenRA/pull/18067), [#18211](https://github.com/OpenRA/OpenRA/pull/18211), [#18213](https://github.com/OpenRA/OpenRA/pull/18213), [#18228](https://github.com/OpenRA/OpenRA/pull/18228), [#18271](https://github.com/OpenRA/OpenRA/pull/18271), [#18279](https://github.com/OpenRA/OpenRA/pull/18279), [#18414](https://github.com/OpenRA/OpenRA/pull/18414), [#18382](https://github.com/OpenRA/OpenRA/pull/18382), [#18815](https://github.com/OpenRA/OpenRA/pull/18815), [#18856](https://github.com/OpenRA/OpenRA/pull/18856)]
* Changed C# language version from 5 to 7.3 and updated code syntax. [[#18485](https://github.com/OpenRA/OpenRA/pull/18485), [#18524](https://github.com/OpenRA/OpenRA/pull/18524), [#18528](https://github.com/OpenRA/OpenRA/pull/18528), [#18881](https://github.com/OpenRA/OpenRA/pull/18881), [#18883](https://github.com/OpenRA/OpenRA/pull/18883)]
* Changed several traits to be publicly accessible for custom trait overrides [[#17799](https://github.com/OpenRA/OpenRA/pull/17799), [#18498](https://github.com/OpenRA/OpenRA/pull/18498)]
* Improved reliability and accuracy of lint tests. [[#17826](https://github.com/OpenRA/OpenRA/pull/17826), [#17896](https://github.com/OpenRA/OpenRA/pull/17896), [#17914](https://github.com/OpenRA/OpenRA/pull/17914), [#17957](https://github.com/OpenRA/OpenRA/pull/17957), [#18229](https://github.com/OpenRA/OpenRA/pull/18229), [#18399](https://github.com/OpenRA/OpenRA/pull/18399), [#18572](https://github.com/OpenRA/OpenRA/pull/18572)]
* Improved support for defining initial state on map-placed actors. [[#18123](https://github.com/OpenRA/OpenRA/pull/18123), [#18164](https://github.com/OpenRA/OpenRA/pull/18164), [#18201](https://github.com/OpenRA/OpenRA/pull/18201), [#18271](https://github.com/OpenRA/OpenRA/pull/18271), [#18264](https://github.com/OpenRA/OpenRA/pull/18264), [#18419](https://github.com/OpenRA/OpenRA/pull/18419), [#18527](https://github.com/OpenRA/OpenRA/pull/18527), [#18595](https://github.com/OpenRA/OpenRA/pull/18595)]
* Improved support for terrain height maps and slopes. [[#17990](https://github.com/OpenRA/OpenRA/pull/17990), [#18209](https://github.com/OpenRA/OpenRA/pull/18209), [#18224](https://github.com/OpenRA/OpenRA/pull/18224), [#18396](https://github.com/OpenRA/OpenRA/pull/18396), , [#18641](https://github.com/OpenRA/OpenRA/pull/18641), [#18716](https://github.com/OpenRA/OpenRA/pull/18716), [#18831](https://github.com/OpenRA/OpenRA/pull/18831)]
* Moved `UseClassicFacingFudge` to Mods.Cnc and its own traits. [[#17641](https://github.com/OpenRA/OpenRA/pull/17641)]
* Removed update rules for releases older than `release-20191117`. [[#18038](https://github.com/OpenRA/OpenRA/pull/18038)]
* Removed unused `TerrainTemplateInfo` constructor. [[#18663](https://github.com/OpenRA/OpenRA/pull/18663)]
* Replaced per-color font caches with tinted rendering. [[#18548](https://github.com/OpenRA/OpenRA/pull/18548)]
* Replaced `DecorationPosition` with mod-defined string ids. [[#18521](https://github.com/OpenRA/OpenRA/pull/18521)]
* Reworked sequence linting. [[#18514](https://github.com/OpenRA/OpenRA/pull/18514)]
* Unified the BotDebug prefixes. [[#18420](https://github.com/OpenRA/OpenRA/pull/18420)]
* Changed internal "player stance(s)" terminology to "player relationship(s)". [[#18677](https://github.com/OpenRA/OpenRA/pull/18677), [#18678](https://github.com/OpenRA/OpenRA/pull/18678), [#18904](https://github.com/OpenRA/OpenRA/pull/18904)]
* Weapon Changes:
   * Fixed `ChangeOwnerWarhead` ignoring `InvalidTargets`. [[#17976](https://github.com/OpenRA/OpenRA/pull/17976)]
   * Added `BounceSound` support to `Bullet` projectile. [[#18133](https://github.com/OpenRA/OpenRA/pull/18133)]
   * Added `DamageCalculationType` to `SpreadWarhead` to support additional damage calculation methods. [[#18023](https://github.com/OpenRA/OpenRA/pull/18023)]
   * Added `TargetTypeAir` and `AirThreshold` to weapons so that they don't ignore the altitude of the target. [[#18166](https://github.com/OpenRA/OpenRA/pull/18166)]
   * Fixed inconsistencies in and issues with the implementation of Warhead classes. [[#18011](https://github.com/OpenRA/OpenRA/pull/18011), [#18059](https://github.com/OpenRA/OpenRA/pull/18059), [#18054](https://github.com/OpenRA/OpenRA/pull/18054), [#17971](https://github.com/OpenRA/OpenRA/pull/17971), [#18072](https://github.com/OpenRA/OpenRA/pull/18072)]
   * Added a `FlashPaletteEffectWarhead` and removed hardcoded nuke flashes. [[#17284](https://github.com/OpenRA/OpenRA/pull/17284)]
   * Added a configurable `InaccuracyType` (`Maximum`, `PerCellIncrement`, `Absolute`) to weapon projectiles. [[#18009](https://github.com/OpenRA/OpenRA/pull/18009)]
   * Added an `InvalidBounceTerrain` parameter to projectiles. [[#18779](https://github.com/OpenRA/OpenRA/pull/18779), [#18809](https://github.com/OpenRA/OpenRA/pull/18809)]
   * Added support for visual inaccuracy to effect warheads. [[#18712](https://github.com/OpenRA/OpenRA/pull/18712)]
   * Fixed range modifiers not changing `Missile`'s `RangeLimit`. 
   * Fixed `SpiceBloom` trait not initializing projectile range modifiers. [[#18041](https://github.com/OpenRA/OpenRA/pull/18041)]
   * Fixed `FireClusterWarhead` playing the wrong `Report` sound. [[#18398](https://github.com/OpenRA/OpenRA/pull/18398)]
* Lua API Changes:
   * Added support for querying the Passengers of an actor via Lua. [[#18577](https://github.com/OpenRA/OpenRA/pull/18577)]
   * Added a Panic function to the Lua API. [[#18243](https://github.com/OpenRA/OpenRA/pull/18243)]
   * Added an `IsCloaked` actor property to the Lua API. [[#18355](https://github.com/OpenRA/OpenRA/pull/18355)]
   * Added an optional Actor parameter to `UnloadPassenger` in the Lua API. [[#18431](https://github.com/OpenRA/OpenRA/pull/18431)]
   * Added a damage parameter to the `Trigger.OnDamage` Lua API callback. [[#18323](https://github.com/OpenRA/OpenRA/pull/18323)]
   * Added actor experience to the Lua API. [[#18447](https://github.com/OpenRA/OpenRA/pull/18447)]
   * Added `Player.HomeLocation`. [[#18890](https://github.com/OpenRA/OpenRA/pull/18890)]
   * Fixed `DisplaySystemMessage` displaying messages twice if they do not define a prefix. [[#18286](https://github.com/OpenRA/OpenRA/pull/18286)]
* Trait Changes:
   * `Aircraft`: Added `LeaveMapAtClosestEdge` option for `IdleBehaviour` and `IdleSpeed`. [[#18320](https://github.com/OpenRA/OpenRA/pull/18320), [#18351](https://github.com/OpenRA/OpenRA/pull/18351)]
   * `Armament`: Removed `MuzzleSplitFacings`, which can be implemented using `Combine` sequences. [[#17949](https://github.com/OpenRA/OpenRA/pull/17949)]
   * `AttackAircraft`: Fixed aircraft with `CanSlide: true` flying backwards after an attack run. [[#17935](https://github.com/OpenRA/OpenRA/pull/17935)]
   * `AttackFollow`: Added `RangeMargin` field to change the distance inside maximum range that units will attempt to maintain. [[#18560](https://github.com/OpenRA/OpenRA/pull/18560)]
   * `AttackOrderPower`: Added support for customizing the range circle display. [[#17919](https://github.com/OpenRA/OpenRA/pull/17919)]
   * `Building`: Added `AllowPlacementOnResources` field. [[#17838](https://github.com/OpenRA/OpenRA/pull/17838)]
   * `Burns`: Renamed to `ChangesHealth` and rendering features removed (use `WithIdleOverlay` instead). [[#17987](https://github.com/OpenRA/OpenRA/pull/17987)]
   * `BaseProvider`: Added support for customizing the range circle display. [[#17919](https://github.com/OpenRA/OpenRA/pull/17919)]
   * `Carryall`: Added `CarryCondition` field to grant a condition to the carryall while it is carrying a unit. [[#18359](https://github.com/OpenRA/OpenRA/pull/18359)]
   * `CashTricker`: Improved exception message when added to the Player actor without disabling `ShowTicks`. [[#18181](https://github.com/OpenRA/OpenRA/pull/18181)]
   * `ClassicParallelProductionQueue`: New trait that provides parallel production with multi-factory bonuses. [[#17822](https://github.com/OpenRA/OpenRA/pull/17822)]
   * `ConditionManager`: Removed trait and merged its functionality directly into `Actor`. [[#17959](https://github.com/OpenRA/OpenRA/pull/17959), [#18215](https://github.com/OpenRA/OpenRA/pull/18215)]
   * `D2kEditorResourceLayer`: Merged trait functionality into `D2kResourceLayer`. [[#18515](https://github.com/OpenRA/OpenRA/pull/18515)]
   * `Demolition`: Added `DamageTypes` support. [[#18722](https://github.com/OpenRA/OpenRA/pull/18722)]
   * `DropPodsPower`: New trait that implements Tiberian Sun style drop pod reinforcements. [[#17876](https://github.com/OpenRA/OpenRA/pull/17876)]
   * `EngineerRepairable`: Added condition support. [[#17791](https://github.com/OpenRA/OpenRA/pull/17791)]
   * `Explodes`: Added support for offsets. [[#18782](https://github.com/OpenRA/OpenRA/pull/18782)]
   * `InfiltrateForSupportPowerReset`: New trait that allows infiltrator units to reset the timer of support powers on the actor. [[#17783](https://github.com/OpenRA/OpenRA/pull/17783), [#18031](https://github.com/OpenRA/OpenRA/pull/18031)]
   * `Minelayer`: Added valid `TerrainTypes` and a configurable deploy cursor. [[#17843](https://github.com/OpenRA/OpenRA/pull/17843)]
   * `NukePower`: Added support for displaying damage range circles. [[#17920](https://github.com/OpenRA/OpenRA/pull/17920)]
   * `PlayerHighlightPalette`: Added `TransparentIndex` field to support artwork that uses a different transparent palette index. [[#18097](https://github.com/OpenRA/OpenRA/pull/18097)]
   * `PortableChrono`: Added support for customizing the range circle display. [[#17919](https://github.com/OpenRA/OpenRA/pull/17919)]
   * `RepairableBuilding`: Added `RepairDamageTypes` support. [[#17721](https://github.com/OpenRA/OpenRA/pull/17721)]
   * `RepairsUnits`: Added `RepairDamageTypes` support. [[#17721](https://github.com/OpenRA/OpenRA/pull/17721)]
   * `RenderDetectionCircle`: Added support for customizing the range circle display and moved to Mods.Common. [[#17968](https://github.com/OpenRA/OpenRA/pull/17968), [#17919](https://github.com/OpenRA/OpenRA/pull/17919)]
   * `RenderJammerCircle`: Added support for customizing the range circle display and moved to Mods.Common. [[#17968](https://github.com/OpenRA/OpenRA/pull/17968), [#17919](https://github.com/OpenRA/OpenRA/pull/17919)]
   * `RenderRangeCircle`: Added support for customizing the range circle display. [[#17919](https://github.com/OpenRA/OpenRA/pull/17919)]
   * `RenderShroudCircle`: Added support for customizing the range circle display and moved to Mods.Common. [[#17968](https://github.com/OpenRA/OpenRA/pull/17968), [#17919](https://github.com/OpenRA/OpenRA/pull/17919)]
   * `HealUnitsCrateAction`: Renamed to `HealActorsCrateAction`. [[#17913](https://github.com/OpenRA/OpenRA/pull/17913)]
   * `RevealsMap`: New trait that reveals shroud from the entire map when created. [[#17718](https://github.com/OpenRA/OpenRA/pull/17718), [#18610](https://github.com/OpenRA/OpenRA/pull/18610)]
   * `ScaredyCat`: Added `PanicChance` to support custom panic chances when damaged. [[#17785](https://github.com/OpenRA/OpenRA/pull/17785)]
   * `ShakeOnDeath`: Added `DeathTypes` to prevent the shake effect on certain damage types. [[#18632](https://github.com/OpenRA/OpenRA/pull/18632)]
   * `SmudgeLayer`: Renamed several fields and changed the defaults to null. [[#18554](https://github.com/OpenRA/OpenRA/pull/18554)]
   * `SoundOnDamageTransition`: Added `DamageTypes` to prevent the sound on certain damage types. [[#18632](https://github.com/OpenRA/OpenRA/pull/18632)]
   * `TransformsNearResources`: New trait that allows an actor to randomly transform after a random time spent next to a resource type. [[#16827](https://github.com/OpenRA/OpenRA/pull/16827)]
   * `TurnOnIdle`: New trait that makes units randomly change their facing when idle. [[#17758](https://github.com/OpenRA/OpenRA/pull/17758)]
   * `WithIdleAnimation`: Added support for a second `Interval` value to define a random range. [[#18326](https://github.com/OpenRA/OpenRA/pull/18326)]
   * `WithNukeLaunchAnimation`: Renamed to `WithSupportPowerActivationAnimation` as it now works on every support power. [[#17787](https://github.com/OpenRA/OpenRA/pull/17787)]
   * `WithNukeLaunchOverlay`: Renamed to `WithSupportPowerActivationOverlay` as it now works on every support power. [[#17787](https://github.com/OpenRA/OpenRA/pull/17787)]
   * `WithRangeCircle`: Added support for customizing the range circle display. [[#17919](https://github.com/OpenRA/OpenRA/pull/17919)]

**Packaging**

* Added a "Portable Windows" package that does not require installation. [[#18387](https://github.com/OpenRA/OpenRA/pull/18387)]
* Added support for Python 3 in the development toolchain scripts. [[#18375](https://github.com/OpenRA/OpenRA/pull/18375)]
* Added automatic deployment to [itch.io](https://openra.itch.io/openra) on release. [[#18227](https://github.com/OpenRA/OpenRA/pull/18227), [#19022](https://github.com/OpenRA/OpenRA/pull/19022)]
* Fixed a reference to an outdated SDL 2 nuget package. [[#19004](https://github.com/OpenRA/OpenRA/pull/19004)]
* Removed obsolete `DedicatedLoop` reference from FreeBSD packaging. [[#18019](https://github.com/OpenRA/OpenRA/pull/18019)]
* Changed auto-generated documentation from the GitHub wiki to a dedicated https://docs.openra.net. [[#18175](https://github.com/OpenRA/OpenRA/pull/18175), [#18546](https://github.com/OpenRA/OpenRA/pull/18546), [#18676](https://github.com/OpenRA/OpenRA/pull/18676)]
* Changed many aspects of the development toolchain and packaging to prepare for .NET Core. [[#17744](https://github.com/OpenRA/OpenRA/pull/17744), [#18019](https://github.com/OpenRA/OpenRA/pull/18019), [#18393](https://github.com/OpenRA/OpenRA/pull/18393), [#18537](https://github.com/OpenRA/OpenRA/pull/18537), [#18580](https://github.com/OpenRA/OpenRA/pull/18580), [#18844](https://github.com/OpenRA/OpenRA/pull/18844), [#18846](https://github.com/OpenRA/OpenRA/pull/18846), [#18847](https://github.com/OpenRA/OpenRA/pull/18847), [#18861](https://github.com/OpenRA/OpenRA/pull/18861), [#18865](https://github.com/OpenRA/OpenRA/pull/18865), [#18884](https://github.com/OpenRA/OpenRA/pull/18884), [#18899](https://github.com/OpenRA/OpenRA/pull/18899), [#18999](https://github.com/OpenRA/OpenRA/pull/18999), [#18953](https://github.com/OpenRA/OpenRA/pull/18953), [#18968](https://github.com/OpenRA/OpenRA/pull/18968), [#19110](https://github.com/OpenRA/OpenRA/pull/19110), [#19041](https://github.com/OpenRA/OpenRA/pull/19041), [#19006](https://github.com/OpenRA/OpenRA/pull/19006), [#19006](https://github.com/OpenRA/OpenRA/pull/19006), [#19057](https://github.com/OpenRA/OpenRA/pull/19057), [#19112](https://github.com/OpenRA/OpenRA/pull/19112), [#19185](https://github.com/OpenRA/OpenRA/pull/19185), [#18954](https://github.com/OpenRA/OpenRA/pull/18954), [#18963](https://github.com/OpenRA/OpenRA/pull/18963), [#19085](https://github.com/OpenRA/OpenRA/pull/19085), [#19031](https://github.com/OpenRA/OpenRA/pull/19031), [#19102](https://github.com/OpenRA/OpenRA/pull/19102), [#19156](https://github.com/OpenRA/OpenRA/pull/19156), [#19231](https://github.com/OpenRA/OpenRA/pull/19231)]